* gph_fig13_2.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.


* NB DENNE DO-FIL DANNER FIGUREN - MEN POWERSIM.DO I BOGEN HAR IKKE ALLE * GRAFIK-DETALJERNE MED      

capture program drop rdsim      // Drop -rdsim- if already loaded      

****************************** Program -rdsim- ******************************      
program rdsim, rclass      
clear      
set obs 800                       // Total sample size
generate expos = runiform()<.5    // Randomization: 50% exposed to A, 50% to B
generate x = runiform()      
generate outc = x<.4 if expos==0  // 40% risk of unwanted outcome in group B
replace  outc = x<.3 if expos==1  // 30% risk of unwanted outcome in group A
prtest outc, by(expos) level(95)  // Estimate risk difference (RD: B-A) and
return scalar rd = r(P_diff)      // return RD
return scalar lb_rd = r(lb_diff)  // return lower 95% confidence limit for RD
return scalar ub_rd = r(ub_diff)  // return upper 95% confidence limit for RD
end      
*****************************************************************************      
*-simulate- collects returned result from 1000 repeats of -rdsim-      

simulate rd = r(rd) lower_rd = r(lb_rd) upper_rd = r(ub_rd), ///
nodots reps(1000) seed(12345) : rdsim
* Plot the rd and confidence intervals 
* each sorted by size

sort lower_rd
generate lower_pctile = (1-_n/_N)*100
sort upper_rd      
generate upper_pctile = (1-_n/_N)*100      
sort rd      
generate rd_pctile = (1-_n/_N)*100      

local x = 100*r(proportion)       

twoway   ///      
     (line rd       sample_rd  , sort  lpattern(dash)  )        /// 
     (line lower_rd sample_low , sort  lpattern(l)     )        /// 
     (line upper_rd sample_upp , sort  lpattern(l)     )        ///
	 (pcarrowi 0.08 `x' 0.04 `x')                           ///
     ,                                                          ///
	 ylabel( 0.03 -0.1(0.1)0.3,format(%4.2f))               ///
	 yline(0 .1, lwidth(thin)) yline(0.03)                  ///
	 xlabel(0(20)100) xmticks(##2)                          ///
	 xtitle("Cumulated percent of samples")                 ///
	 ytitle("Risk difference")                              ///
	 legend(order(1 "Estimate" 2 "95% CI") ring(0) pos(2))  ///
	 xsize(2.8) ysize(2) scale(1.4) scheme(lean1)

generate success = lower_rd>=0.03      
ci proportions success              // Estimate power      
