* gph_fig14_4.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use anklebp2.dta, clear

twoway                                            ///
  (scatter adp1 adp2)                             ///
  (function y=x, range(0 200) lpattern(l))        ///
  ,                                               ///
  legend(off)                                     ///
  xtitle("First measurement")                     ///
  ytitle("Second measurement")                    ///
  aspectratio(1) scheme(lean1) name(p1, replace)      

generate diff = adp1-adp2      
generate average = (adp1+adp2)/2      
quietly summarize diff      
local DIFMEAN = r(mean)      
local PILOW   = r(mean) - 1.96*r(sd)      
local PIHIGH  = r(mean) + 1.96*r(sd)      

twoway                                      ///
  (scatter diff average)                    ///
  ,                                         ///
  ytitle("Difference")                      ///
  xtitle("Average")                         ///
  yline(`DIFMEAN', lpattern(l))             ///
  yline(`PILOW' `PIHIGH', lpattern(dash))   ///
  ylabel(-40(20)40)                         ///
  scheme(lean1) name(p2, replace)      

graph combine p1 p2, rows(1)      ///
  xsize(5) ysize(2) iscale(1.4)      
