* gph_fig16_29.do

* Choose the directory where you store the files for the book.
* In the book's examples, the command is cd ~\Documents\ishr5.

use sf36.dta, clear      
rename (pf-mh) obs#, addnumber      
rename (epf-emh) norm#, addnumber      
reshape long obs norm, i(ptnr) j(scale)      
collapse (mean) obs norm  (sem) se=obs, by(scale)      

generate ci1 = obs - 1.96*se      
generate ci2 = obs + 1.96*se      

label define scale 1 "Physical functioning"                   ///      
   2 "Physical role functioning" 3 "Bodily pain"              ///      
   4 "General health perceptions" 5 "Vitality"                ///      
   6 "Social role functioning" 7 "Emotional role functioning" ///      
   8 "Mental health"      
label values scale scale      

twoway                                                 ///      
  (scatter scale obs, msymbol(O))                      ///      
  (scatter scale norm, msymbol(Oh))                    ///      
  (rcap ci1 ci2 scale, horizontal)                     ///      
  ,                                                    ///      
  xtitle("Mean score")                                 ///      
  ytitle("") ylabel(1(1)8, valuelabel noticks)         ///      
  yscale(range(0.5 8.5) reverse)                       ///      
  legend(order(2 "Expected" 1 "Observed" 3 "95% CI"))  ///      
  xsize(4.5) ysize(2) scale(1.4) scheme(lean1)      

